Connection Manager Administration Kit

Connection Manager is a client network connection tool that allows a user to connect to a remote network, such as an Internet service provider (ISP), or a corporate network protected by a virtual private network (VPN) server.

The Connection Manager Administration Kit (CMAK) is a tool that you can use to customize the remote connection experience for users on your network by creating predefined connections to remote servers and networks. To create and customize a connection for your users, you use the CMAK wizard.

Installing CMAK

CMAK is an optional component that is not installed by default. You must install CMAK to create connection profiles that your users can install to access remote networks. For more information about how to install CMAK, see Install CMAK.

Before running the CMAK wizard

Before running this wizard, review the CMAK documentation that you can find online at Connection Manager Administration Kit (http://go.microsoft.com/fwlink/?linkid=55986). After you understand the process and have gathered the prerequisite information, you can run the wizard. For more information about each step of creating your connection profile, see Run the CMAK Wizard to Create a Connection Profile.

Distributing your completed connection profile

Running the CMAK wizard produces a connection profile that is stored in an executable file. Running that file on a client computer equips that computer with everything needed to establish the network connection that you designed. For more information about testing and deploying your connection profile, see Distribute Your Connection Profile to Your Users.

Additional references

  • Additional Resources for CMAK


Install CMAK

The Connection Manager Administration Kit (CMAK) is an optional component that is not installed by default. You must install CMAK to create connection profiles that your users can install to access remote networks.

Important

You must use a computer running a version of Windows with the same processor architecture as the clients on which you want to install the profile. A 32-bit connection profile can be created on and installed on a 32-bit version of Windows only. A 64-bit connection profile can be created on and installed on a 64-bit version of Windows only.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

Use the following procedure to install CMAK on a computer that is running the 64-bit version of Windows Server 2008 R2. Profiles that you create with this version of CMAK can be used only on computers that are running a 64-bit version of Windows. You cannot install CMAK onto a computer running a 64-bit version of Windows 7.

To install CMAK on the 64-bit version of Windows Server 2008 R2

  1. Click Start, click Administrative Tools, and then click Server Manager.

  2. In the navigation pane, right-click Features, and then click Add Features.

  3. In the Features list, select Connection Manager Administration Kit, and then click Next.

  4. On the Confirm Installation Selections page, click Install.

  5. On the Installation Results page, click Close.

Use the following procedure to install CMAK on a computer that is running the 32-bit version of Windows 7. Profiles that you create with this version of CMAK can be used only on computers that are running a 32-bit version of Windows.

To install CMAK on the 32-bit version of Windows 7

  1. Click Start, click Control Panel, click Programs, and then click Turn Windows Features on or off.

  2. In the features list, select RAS Connection Manager Administration Kit feature, and then click OK.

Additional references

  • Additional Resources for CMAK


Run the CMAK Wizard to Create a Connection Profile

Use the CMAK wizard to configure a new or existing connection profile.

To start the CMAK wizard

  1. Click Start, click Administrative Tools, and then click Connection Manager Administration Kit. If that entry does not appear on the menu, the Connection Manager Administration Kit (CMAK) is not installed. See Install CMAK.

  2. On the Welcome page, click Next.

    Each wizard page covers a step in the building of a connection profile.

This section includes basic information about the options presented on the pages of the CMAK wizard:

  • Select the Target Operating System

  • Create or Modify a Connection Profile

  • Specify the Service Name and the File Name

  • Specify a Realm Name

  • Merge Information from Other Connection Profiles

  • Add Support for VPN Connections

  • Add a Custom Phone Book

  • Configure Dial-up Networking Entries

  • Specify Routing Table Updates

  • Configure Proxy Settings for Internet Explorer

  • Add Custom Actions

  • Display Custom Bitmaps and Icons

  • Customize the Notification Area Shortcut Menu

  • Include a Custom Help File

  • Display Custom Support Information

  • Include Connection Manager Software with the Connection Profile

  • Display a Custom License Agreement

  • Install Additional Files with the Connection Profile

  • Build the Connection Profile and its Installation Program

  • Make Advanced Customizations

  • Your Connection Profile is Complete and Ready to Distribute

  • Troubleshoot the Connection Profile Build Process

For more information about creating a connection profile, see the CMAK Operations Guide (http://go.microsoft.com/fwlink/?linkid=57535).

Additional references

  • Install CMAK

  • Distribute Your Connection Profile to Your Users

  • Additional Resources for CMAK


Select the Target Operating System

When you create a connection profile, you must specify the operating systems that it supports. Connection Manager 1.4 and its Administration Kit (CMAK) in Windows Server® 2008 R2 add support for features that require Windows Vista®, Windows Server® 2008, Windows® 7, or Windows Server 2008 R2 on the client computer. Selecting the correct target operating system group ensures that the most appropriate features are available to the users of the profile.

Important
  • A Connection Manager profile that is created on a 64-bit version of Windows can be installed and run only on computers that are also running a 64-bit version of Windows. This includes Windows XP x64 Edition, Windows Server 2003 x64 Edition, and the 64-bit versions of Windows Vista, Windows Server 2008 R2, and Windows 7.
  • To create a Connection Manager profile for a computer that is running a 32-bit version of Windows, you must run CMAK on a computer that is running a 32-bit version of Windows. Because Windows Server 2008 R2 is available only as a 64-bit operating system, you can use the 32-bit version of Windows 7. To install CMAK on a 32-bit version of Windows 7, in Control Panel, click Programs, click Turn Windows Features on or off, select RAS Connection Manager Administration Kit feature, and then click OK.

Setting | Description
Windows 7 or Windows Vista | Specifies that the profile includes features that can be used only on a computer running Windows Vista, Windows Server 2008, Windows 7, or Windows Server 2008 R2.
Windows Server 2003, Windows XP, or Windows 2000 (shown on 32-bit computers) or Windows Server 2003 or Windows XP (shown on 64-bit computers) | Specifies that the profile includes only those features that can be used on any supported Windows operating system.

For more information about client operating system support, see Connection Manager Components and System Requirements (http://go.microsoft.com/fwlink/?LinkId=80948) on the Microsoft Web site.

Additional references

  • Run the CMAK Wizard to Create a Connection Profile


Create or Modify a Connection Profile

Each time you run the CMAK wizard, you create or modify a connection profile. You can create as many connection profiles as you need to support remote network user groups.

Setting | Description
New profile | Specifies that you want to create a new connection profile.
Existing profile | Specifies that you want to modify an existing connection profile. CMAK displays connection profiles that you created previously on this computer.
Note

To create a connection profile for another language, use the version of the operating system and the CMAK wizard appropriate for that language.

For more information about where profiles are stored and how they work, see Setting Up Your Service Profiles (http://go.microsoft.com/fwlink/?LinkId=80949) on the Microsoft Web site.

Additional references


Specify the Service Name and the File Name

For each connection profile you create, you must specify a service name and a file name.

Important

Make sure that the service and file names are different from all other service and file names that you provide to your remote network users. If two connection profiles on the same computer have the same service or file name, the associated connection icons do not work correctly.

Setting Description

Service name

Specifies the name that users see when looking at the list of connection profiles installed on their computers.

File name

Specifies the file name used to store the created connection profile. When editing an existing connection profile, if you do not want to write over the existing connection profile, you must change the file name.

Note

The file name must not be longer than 8 characters, and cannot contain spaces or any symbol characters.

For more information about assigning service and file names to a new profile, see Specifying Service and File Names (http://go.microsoft.com/fwlink/?linkid=141932) on the Microsoft Web site.

Additional references


Specify a Realm Name

Realm names are used for network routing and authentication. They provide the identification required to forward authentication requests to the server that holds the user's credentials. In Windows, a realm name is often an Active Directory® Domain Services (AD DS) domain name. Realm information is used for dial-up connections only.

Setting | Description
Do not add a realm name to the user name | Specifies that the connection profile sends the user name to the remote server exactly as typed.
Add a realm name to the user name | Specifies that the connection profile adds the realm name entered on this page to every user name before it is sent to the remote server for authentication.
Realm name (include separator character) | Specifies the text added to the user name before it is sent to the remote server for authentication. Include the separator character that is to be used to separate the realm name from the user name.
Before the user name | Specifies that the realm name is to be prefixed to the user name. Commonly used when the backward slash (/) is the separator between realm and user name. If you select this option, the Realm name should be structured similar to the following: Microsoft\
After the user name | Specifies that the realm name is to be suffixed to the user name. Commonly used when the at (@)' character is the separator between user name and realm. If you select this option, the Realm name should be structured similar to the following: @Microsoft.com

For more information about using realms, see Providing a Realm Name (http://go.microsoft.com/fwlink/?LinkId=80950) on the Microsoft Web site.

Additional references


Merge Information from Other Connection Profiles

If you have information in existing connection profiles that you need in the connection profile you are building, you can use the CMAK wizard to merge much of the information from existing profiles into the profile you are building. A profile that contains information from other connection profiles is called the top-level profile. A connection profile that has its information merged into another connection profile is called a component profile.

Setting | Description
Existing profiles | Displays the list of all available connection profiles that contain settings that can be merged into the current profile.
Profiles to be merged | Displays the list of all connection profiles whose settings you selected to include in the current profile.
Add | Moves the selected connection profile in the Existing Profiles list to the Profiles to be merged list.
Remove | Removes the selected connection profile from the Profiles to be merged list.

Select connection profiles from the list on the left, and then click Add to move them to the list on the right. Connection profiles in the list on the right will be merged into the current profile when the profile is compiled.

For more information about merging information from multiple profiles, see Merging Phone Books and Other Features from Existing Service Profiles (http://go.microsoft.com/fwlink/?LinkId=80951) on the Microsoft Web site.

Additional references


Add Support for VPN Connections

A virtual private network (VPN) is an encrypted session between the client and the remote server to which it is connected. The remote server can act as a router, sending the packets received from the client on its public network adapter to a separate, secured network attached to a second, private network adapter. To specify that the connection is to be a VPN link to a remote server, select the appropriate check box at the top of the dialog box. Then enter the name or IP address of the VPN server, or supply a text file with a list of VPN server names or addresses from which the user can select.

Setting | Description
Phone book from this profile | Specifies that the VPN connection can be completed by using settings stored in the phone book associated with this connection profile.
Phone books from the merged profiles | Specifies that the VPN connection can be completed by using settings stored in the phone books associated with the merged connection profiles.
Always use the same VPN server | When selected, specifies the DNS name or IP address of the VPN to which the client is to connect.
Allow the user to choose a VPN server before connecting | When selected, specifies a text file that lists the VPN servers from which the users can choose. For more information about how the text file must be formatted, see the section “Enabling user choice of VPN server” in Implementing VPN Support (http://go.microsoft.com/fwlink/?LinkId=80962) on the Microsoft Web site.
Use the same user name and password for VPN and dial-up connections | Specifies that if the user establishes this VPN connection over a dial-up network connection, that the same user name and password that grants access to the dial-up network also grants access to the VPN server.

If you select either the Phone book from this profile or the Phone books from the merged profiles check boxes to indicate that you want VPN support in this connection profile, then the Create or Modify a VPN Entry page is included in the CMAK wizard after this page. If you do not select either of the top two check boxes, then the wizard pages for configuring VPN entries do not appear.

For more information about configuring your profile for VPN support, see Implementing VPN Support (http://go.microsoft.com/fwlink/?LinkId=80962) on the Microsoft Web site.

Additional references

  • Create or Modify a VPN Entry

  • VPN Entry - General Tab

  • VPN Entry - IPv4 Tab

  • VPN Entry - IPv6 Tab

  • VPN Entry - Security Tab

  • VPN Entry - Advanced Tab


Create or Modify a VPN Entry

Use this page to configure connection and security settings required to communicate with the virtual private network (VPN) server or servers that support your connection profile.

Note

This page only appears if you specified on the Add Support for VPN Connections page that you want VPN support in this connection profile.

If you customize these settings, you can better address unique network authentication or routing requirements of VPN servers. A default entry is created and used to connect to any VPN server unless you create another entry for a specific server:

  • If you selected the Always use the same VPN server option on the previous wizard page, then the default entry must be configured with the settings used to connect to that VPN server.

  • If you supplied a text file containing a VPN server list on the previous wizard page, then the default VPN entry is used for each server that does not have a VPN entry on this page with a matching name. For example, if you have a VPN server in the list named Server-NY, the default VPN entry will be used unless you create a VPN entry named Server-NY.

Setting | Description
New | Creates a new VPN entry. If you used a text file containing a VPN server list on the previous wizard page, then you must create an entry for each VPN server defined in the text file for which the default entry is not appropriate.
Edit | Edit the selected VPN entry.
Delete | Delete the selected VPN entry. You cannot delete the entry marked <Default>.

For more information about the VPN entry settings, see Incorporating VPN Entries (http://go.microsoft.com/fwlink/?LinkId=80953) on the Microsoft Web site. For more information about creating text files containing VPN server lists, see the section “Enabling user choice of VPN server” in Implementing VPN Support (http://go.microsoft.com/fwlink/?LinkId=80962).

Additional references

  • Add Support for VPN Connections


VPN Entry - General Tab

Use this tab to specify whether you want to allow file and printer sharing by using this connection, and which versions of IP you want to support.

Setting Description

Name

Specifies the name of the VPN entry. If you are editing an existing entry, then the name is already set, and you cannot change it here.

Disable file and printer sharing

Selecting this check box specifies that the protocols for file and printer sharing cannot be used by a connection using this VPN entry.

Enable clients to establish the following connectivity

Choices include:

  • Only IPv4 address. Specifies that the client receives an Internet Protocol version 4 (IPv4) address only, and cannot communicate by using Internet Protocol version 6 (IPv6).

  • Only IPv6 address. Specifies that the client receives an IPv6 address only, and cannot communicate by using IPv4.

  • Both IPv4 and IPv6 addresses. This is the default option, which specifies that the client receives both IPv4 and IPv6 addresses, and can communicate by using either protocol.

Configuration options for the IPv4 and IPv6 protocols are set on the IPv4 and IPv6 tabs of the New/Edit VPN Entry dialog box.

For more information about configuring VPN support, see Incorporating VPN Entries (http://go.microsoft.com/fwlink/?linkid=80953) on the Microsoft Web site.

Additional references

  • Add Support for VPN Connections


VPN Entry - IPv4 Tab

Use this tab to specify the IP configuration that you want to be applied to clients that connect to a remote virtual private network (VPN) server by using this connection profile.

Setting Description

Server assigns addresses

Specifies that the client is configured dynamically by the server when it connects. If the addresses of the DNS and WINS servers on your VPN accessible network change, then you only need to change the configuration on the server providing this information to the clients. All clients receive updated information the next time they connect.

All clients use these addresses

Specifies that the client uses the IP addresses entered in the text boxes below this selection. You can specify any or all of the server addresses supported, including the primary and secondary DNS servers and the primary and secondary WINS servers. If you only need one server of a specific type, you must use the Primary text box to enter it.

If you use this option and then later change the addresses of the DNS and WINS servers, you must change this profile, recompile it, and then redistribute it to all of your clients.

Make this connection the client's default gateway

Specifies that when this profile connects to the remote VPN server, the client's default gateway address is changed to that of the VPN server. After this change, the client directs all non-local subnet traffic over the VPN.

Use IP header compression

Specifies that IP header compression is used over the VPN link to make better use of the network bandwidth.

For more information about configuring VPN entries, see Incorporating VPN Entries (http://go.microsoft.com/fwlink/?linkid=80953) on the Microsoft Web site.

Additional references

  • Add Support for VPN Connections


VPN Entry - IPv6 Tab

Use this tab to specify the Internet Protocol version 6 (IPv6) configuration that you want to be applied to clients that connect to a remote virtual private network (VPN) server by using this connection profile.

Setting Description

Server assigns addresses

Specifies that the client is configured dynamically by the server when it connects. If the addresses of the DNS servers on your VPN-accessible network change, then you only need change the configuration on the server providing this information to the clients. All clients receive updated information the next time they connect.

All clients use these addresses

Specifies that the client is configured with the DNS server IP addresses entered in the text boxes below this selection. You can specify both a primary and secondary DNS server.

If you use this option and then later change the addresses of the DNS servers, you must change this profile, recompile it, and then redistribute it to all of your clients.

Make this connection the client's default gateway

Specifies that the client's default gateway IP address is changed to that of the VPN server whenever this profile connects. After this change, the client directs all non-local subnet traffic over the VPN.

For more information about configuring VPN entries, see Incorporating VPN Entries (http://go.microsoft.com/fwlink/?linkid=80953) on the Microsoft Web site.

Additional references

  • Add Support for VPN Connections


VPN Entry - Security Tab

The security settings you assign to a virtual private network (VPN) entry must match the settings on the VPN server to which this entry corresponds. The settings are determined by the configuration of the VPN server. You can specify whether encryption is required, which authentication protocol is used, which VPN protocols to attempt, and in which order.

Setting Description

VPN strategy

Specifies the VPN protocols to attempt, and in which order. You can choose Point-to-Point Tunneling Protocol (PPTP), Layer Two Tunneling Protocol (L2TP), Secure Socket Tunneling Protocol (SSTP), or Internet Key Exchange version 2 (IKEv2), either alone, or with the selected protocol attempted first. If you specify a single protocol, and the remote server does not support that protocol, then the connection fails.

If you select one of the "try first" options, the order the protocols are attempted are as follows:

  • PPTP: PPTP, IKEv2, SSTP, and then L2TP

  • L2TP: L2TP, IKEv2, PPTP, and then SSTP

  • SSTP: SSTP, IKEv2, PPTP, and then L2TP

  • IKEv2: IKEv2, PPTP, SSTP, and then L2TP

Notes
  • IKEv2 is not supported on operating systems earlier than Windows 7. If you select Only use IKEv2 and the profile is run on a computer running an earlier version of Windows, then one of the following VPN strategies is used instead:
    • For clients running Windows Vista with Service Pack 1 (SP1) or later, Try SSTP First is used.

    • For clients running Windows Vista with no service pack installed, Try PPTP First is used.

Advanced

This option is available if you select a VPN strategy that includes IKEv2 or L2TP.

  • If you select an option that includes IKEv2, then you can enable the mobility feature that allows the VPN connection to persist for a period of time, even if the IP address changes or the network adapter through which the computer connects to the Internet changes. Click Advanced. In the Advanced Settings dialog box, select the IKEv2 tab. Select Mobility, and then select the amount of time that the VPN is allowed to persist before it is terminated. If the client cannot reestablish connection with the VPN server before this amount of time has elapsed, then the connection is terminated. Mobility is enabled by default.

  • If you select an option that includes L2TP, you can include a preshared key with the connection profile. Click Advanced, and in the Advanced Settings dialog box, select the L2TP tab, and then click Use a preshared key. Use this option only if you cannot use computer certificates as the authentication method. For more information about including a preshared key, see Configure a Preshared Key.

Data encryption

Specifies the encryption type to use for the data stream to and from the remote VPN server. Choices include:

  • No encryption. The data is sent in plain text. The connection fails if the VPN server requires data encryption.

    Note

    This option cannot be used for IKEv2 because IKEv2 requires encryption. If you select this option and attempt to use IKEv2, the connection will fail.

  • Optional encryption. The data is encrypted only if requested by the VPN server.

  • Require encryption. The data is encrypted. The connection fails if the VPN server does not support encrypted data.

  • Maximum strength encryption. The data will be encrypted using the strongest encryption supported by both computers.

The selection made must be compatible with the encryption requirements of the remote server or the connection fails.

Use Extensible Authentication Protocol

Specifies that logon authentication uses Extensible Authentication Protocol (EAP), with the option of using smart cards or other certificates. If you select this setting, you must configure the EAP or certificate options by clicking Properties. For more information about the Protected EAP Properties page or the Smart Card or other Certificate Properties page, press F1 while viewing those pages.

Authentication methods

Specifies other means for transmitting the authentication information to the server. These are older authentication protocols that you can use only if the VPN server requires them.

Security Note

We recommend that you avoid the use of Password Authentication Protocol (PAP) because it transmits your user name and password in plain text over the network.

For more information about configuring VPN entries, see Incorporating VPN Entries (http://go.microsoft.com/fwlink/?linkid=80953) on the Microsoft Web site.

Additional references

  • Add Support for VPN Connections


Configure a Preshared Key

You can use a preshared key instead of a digital certificate for Layer Two Tunneling Protocol/Internet Protocol security (L2TP/IPsec) authentication of your virtual private network (VPN) clients. Preshared keys do not require a public key infrastructure (PKI) for deployment, but they are a weak authentication method. You can increase the security of your preshared key deployment by encrypting the preshared key with a personal identification number (PIN), which your users must enter before the connection profile can be installed.

Security Note

We recommend that you do not use preshared keys because they are not considered secure.

Note

The Configure a Preshared Key page appears in the wizard only if you specified to use one in a VPN entry on the Create or Modify a VPN Entry page. To use a preshared key, edit the entry on that wizard page, and on the Security tab, click Advanced. On the L2TP tab, select Use a preshared key.

Setting | Description
Type preshared key | Specifies the encryption key that both the server and client use to begin their L2TP/IPsec session. The string must be at least 8 characters, and no longer than 256 characters. You must get the key from the administrator of the VPN server. We recommend that you use a very long key, and that you encrypt it by using the PIN option below.
Encrypt the preshared key using a PIN | Specifies that the preshared key is itself encrypted in the connection profile, and that the connection profile can only be installed by entering the supplied PIN. The PIN can be alphanumeric characters, must be at least 4 characters, and no longer than 15 characters. Type the same characters in both text boxes.

After you place a key in the connection profile and navigate to a different page, the key will no longer be displayed. To change the key used in a profile, click Replace Key, and then enter the new key in the Type preshared key text box.

For more information about using preshared keys, see Including a Preshared Key (http://go.microsoft.com/fwlink/?LinkId=80954)on the Microsoft Web site.

Additional references

  • VPN Entry - Security Tab


VPN Entry - Advanced Tab

When your computer is connected to a remote VPN-accessed network, you can specify that your client computer is part of the DNS namespace of the remote network, and which DNS suffix you want to be part of the registered DNS name of this client.

Setting | Description
DNS suffix for this connection setting | Specifies the DNS domain name that is appended to the client computer name to fully identify this computer on the remote network. Type the name without a leading period. For example, if the computer will be referred to as client1.example.com, then type example.com in the text box.
Register this connection's address in DNS | Select this check box if you want the client to register its name and address with the DNS server on the remote network. The DNS server must support the DNS dynamic update protocol. The name to be associated with the address and supplied to the DNS server is determined by the next setting.
Use this connection's DNS suffix in DNS registration | Select this check box if you want the client to supply the specified DNS suffix to the DNS server on the remote network to be associated with the IP address of this client computer. If this check box is not selected, then the default DNS suffix of the client computer (as specified on the Computer Name tab of the System Properties dialog box) is the one supplied to the remote DNS server.

For more information about configuring VPN entries, see Incorporating VPN Entries (http://go.microsoft.com/fwlink/?linkid=80953) on the Microsoft Web site.

Additional references

  • Add Support for VPN Connections


Add a Custom Phone Book

By using Phone Book Administrator, included with Connection Point Services (CPS), you can create a phone book file that contains a list of multiple access numbers to connect to a remote dial-up network. On the Add a Custom Phone Book wizard page, you include this phone book in your connection profile. If you provide access to the phone book file over the Internet, you can configure the profile to automatically download new versions of the phone book file whenever the client successfully connects by using this connection profile.

Note

You can specify that your users download the phone book the first time they connect using this profile by not including the phone book file name on this page. Select the Automatically download phone book updates check box, and then type the phone book name and download location on the next wizard page. See Specify an Automatic Phone Book Update Server.

Setting | Description
Phone book file | Specifies the path to the phone book file you want included in the connection profile. If you know the path to the file, you can type it in the text box. Otherwise, click Browse, and then navigate to the file.
Automatically download phone book updates | Select this check box if you want the client to check for newer versions of the phone book file, and to update it whenever this connection profile successfully connects to the network. If selected, this setting causes the Specify an Automatic Phone Book Update Server page to appear next in the wizard.
More access number text | Specifies the text that appears in the label next to the list of phone numbers displayed on the client.

For more information about custom phone books, including how to download and use Connection Point Services and Phone Book Administrator, see Providing Phone Book Support (http://go.microsoft.com/fwlink/?LinkId=80955) on the Microsoft Web site.

Additional references


Specify an Automatic Phone Book Update Server

The phone numbers you supply in a custom phone book are often subject to change. Connection Point Services (CPS) provides a service for the automatic maintenance of the phone books in your connection profiles.

Use this page to specify the download location of the updated file. Every time a user connects by using this profile, Connection Manager checks the specified server to see if the phone book file has changed. If the file on the server is newer, Connection Manager downloads it and updates the phone book in the connection profile.

Note

This page appears only if you select Automatically download phone book updates on the Add a Custom Phone Book page.

Setting | Description
Phone book name | If you specified the name on the Add a Custom Phone Book page, then you cannot change it here. If you did not specify a phone book name on that page, and you selected the Automatically download phone book updates check box, then you must type the phone book file name here. The file name must be published on the CPS server specified in the Connection Point Services server text box.
Connection Point Services server | The URL of the CPS server on which you will post updated copies of the phone book.

For more information about posting new and updated phone book files on the Web for clients to access, see Providing Phone Book Support ( http://go.microsoft.com/fwlink/?LinkId=80955) on the Microsoft Web site. For more information about setting up a Connection Point Services server, see Connection Point Services (http://go.microsoft.com/fwlink/?linkid=141964) on the Microsoft Web site.

Additional references

  • Add a Custom Phone Book


Configure Dial-up Networking Entries

A dial-up phone number in the custom phone book you specified on the Add a Custom Phone Book page is referred to as a Point of Presence (POP). Each POP that you create by using the Phone Book Administrator tool can specify a Dial-up Networking Entry on its Settings tab. If this setting matches an entry on the Configure Dial-up Networking Entries page of the CMAK wizard, then that dial-up networking entry is used to configure a client with an IP address, DNS and WINS servers, and security settings. If the setting in the phone book does not match one of the dial-up networking entries in the CMAK wizard, then the entry marked <Default> is used to configure that connection.

Setting | Description
New | Creates a new dial-up entry. The name should match the Dial-up Networking Entries field of the custom phone book supplied on the previous page of the CMAK wizard.
Edit | Edits the currently selected dial-up networking entry.
Delete | Deletes the currently selected dial-up networking entry. You cannot delete the <Default> entry.

The dialog box that is displayed when you click New or Edit includes the following tabs:

  • Dial-up Networking Entry - General Tab

  • Dial-up Networking Entry - IPv4 Tab

  • Dial-up Networking Entry - IPv6 Tab

  • Dial-up Networking Entry - Security Tab

  • Dial-up Networking Entry - Advanced Tab

For more information about configuring dial-up networking entries, see Incorporating Custom Dial-Up Entries (http://go.microsoft.com/fwlink/?LinkId=80957) on the Microsoft Web site.

Additional references


Dial-up Networking Entry - General Tab

Use this tab to specify whether you want to allow file and printer sharing by using this connection, and which versions of IP you want to support.

Setting Description

Name

Specifies the name of the dial-up networking entry. If you are editing an existing entry, then the name is already set, and you cannot change it here.

Disable file and printer sharing

Select this check box to specify that the protocols used for file and printer sharing cannot be used by this connection.

Enable clients to establish the following connectivity

Choices include:

  • Only IPv4 address. Specifies that the client receives an Internet Protocol version 4 (IPv4) address only, and cannot communicate by using Internet Protocol version 6 (IPv6).

  • Only IPv6 address. Specifies that the client receives an IPv6 address only, and cannot communicate by using IPv4.

  • Both IPv4 and IPv6 addresses. This is the default option, which specifies that the client receives both IPv4 and IPv6 addresses, and can communicate by using either protocol.

Configuration options for the IPv4 and IPv6 protocols are set on the IPv4 and IPv6 tabs of this dialog box.

Dial-up networking script

If required, specifies a script file that is run as part of the connection process to further customize the dial-up connection environment.

For more information about configuring dial-up networking entries, see Incorporating Custom Dial-Up Entries (http://go.microsoft.com/fwlink/?LinkId=80957) on the Microsoft Web site.

Additional references

  • Configure Dial-up Networking Entries


Dial-up Networking Entry - IPv4 Tab

Use this tab to specify the Internet Protocol version 4 (IPv4) configuration that you want to be applied to clients that connect to a remote dial-up networking server by using this connection profile.

Setting Description

Server assigns addresses

Specifies that the client is configured dynamically by the server when it connects. If the addresses of the DNS and WINS servers on the remote network change, then you only need change them on the server providing them to the client. All clients receive updated information the next time they connect.

All clients use these addresses

Specifies that the client uses the IP addresses entered in the text boxes below this selection. You can specify any or all of the server addresses supported, including the primary and secondary DNS servers and the primary and secondary WINS servers. If you only need one server of a specific type, you must use the Primary text box to enter it.

If you use this option and then later change the addresses of the DNS and WINS servers, you must change this profile, recompile it, and then redistribute it to all of your clients.

Make this connection the client's default gateway

Specifies that when this profile connects, the client's default gateway IP address is changed to the IP address of the remote dial-up server. After this change, the client directs all non-local subnet traffic over the dial-up connection.

Use IP header compression

Specifies that IP header compression is used over the dial-up link to make better use of the network bandwidth.

For more information about configuring dial-up networking entries, see Incorporating Custom Dial-Up Entries (http://go.microsoft.com/fwlink/?LinkId=80957) on the Microsoft Web site.

Additional references

  • Configure Dial-up Networking Entries


Dial-up Networking Entry - IPv6 Tab

Use this tab to specify the Internet Protocol version 6 (IPv6) configuration that you want to be applied to clients that connect to a remote dial-up server by using this connection profile.

Setting Description

Server assigns addresses

Specifies that the client is configured dynamically by the server when it connects. If the addresses of the DNS servers change, then you only need change them on the server providing these to the client. All clients receive updated information the next time they connect.

All clients use these addresses

Specifies that the client is configured with the DNS server IP addresses entered in the text boxes below this selection. You can specify both a primary and secondary DNS server.

If you use this option and then later change the addresses of the DNS servers, you must change this profile, recompile it, and then redistribute it to all of your clients.

Make this connection the client's default gateway

Specifies that when this profile connects, the client's default gateway IP address is changed to the IP address of the remote dial-up server. After this change, the client directs all non-local subnet traffic over the dial-up connection.

For more information about configuring dial-up networking entries, see Incorporating Custom Dial-Up Entries (http://go.microsoft.com/fwlink/?LinkId=80957) on the Microsoft Web site.

Additional references

  • Configure Dial-up Networking Entries


Dial-up Networking Entry - Security Tab

Use this tab to specify whether encryption is required and the authentication protocol that is used to exchange credentials. The security settings you assign to a dial-up networking entry must match the settings on the remote access server to which this entry corresponds. If the settings do not match, then the connection attempt fails.

Setting Description

Data encryption

Specifies the encryption type to use for the data stream to and from the remote server. Choices include:

  • No encryption. The data is sent in plain text. The connection fails if the remote server requires data encryption.

  • Optional encryption. The data is encrypted only if requested by the remote server.

  • Require encryption. The data is encrypted. The connection fails if the remote server does not support encrypted data.

  • Maximum strength encryption. The data is encrypted by using the strongest encryption supported by both computers.

The selection made must be compatible with the encryption requirements of the remote server, or the connection fails.

Use Extensible Authentication Protocol (EAP)

Specifies that logon authentication uses EAP, with the option of using smart cards or other certificates. If you select this setting, you must configure the EAP or certificate options by clicking Properties. For more information about the Protected EAP Properties page or the Smart Card or other Certificate Properties page, press F1 while viewing those pages.

Authentication methods

Specifies other means for transmitting the authentication information to the server. These are older authentication protocols that you can use only if the dial-up server requires them.

Security Note

We recommend that you avoid the use of Password Authentication Protocol (PAP) because it transmits your user name and password in plain text over the network.

For more information about configuring dial-up networking entries, see Incorporating Custom Dial-Up Entries (http://go.microsoft.com/fwlink/?LinkId=80957) on the Microsoft Web site.

Additional references

  • Configure Dial-up Networking Entries


Dial-up Networking Entry - Advanced Tab

Use this tab to specify that your client computer is part of the DNS namespace of the remote network, and which DNS suffix you want to be part of registered DNS name of this client.

Setting | Description
DNS suffix for this connection setting | Specifies the DNS domain name that is appended to the client computer name to fully identify this computer on the remote network. Type the name without a leading period. For example, if the computer is referred to as client1.example.com, then type example.com in the text box.
Register this connection's address in DNS | Select this box if you want the client to register its name and address with the DNS server on the remote network. The DNS server must support the DNS dynamic update protocol. The name to be associated with this address and supplied to the DNS server is determined by the next setting.
Use this connection's DNS suffix in DNS registration | Select this check box if you want the client to supply the specified DNS suffix to the DNS server on the remote network to be associated with the IP address of this client computer. If the box is not selected, then the default DNS suffix of this client computer (as specified on the Computer Name tab of the System Properties dialog box) is the one supplied to the remote DNS server.

For more information about configuring dial-up networking entries, see Incorporate Custom Dial-Up Entries (http://go.microsoft.com/fwlink/?LinkId=80957) on the Microsoft Web site.

Additional references

  • Configure Dial-up Networking Entries


Specify Routing Table Updates

Use this page to alter the client routing tables according to settings specified in a connection profile in order to better manage your network traffic and security. You can include a routing table update file in the connection profile, provide a URL to a server that is checked for updates, or both.

Setting | Description
Do not change the routing tables | Specifies that the client routing tables are not changed when using this connection profile. The client computer has access to both the original set of networks and the remote network provided by this connection profile. Any additional networks available through routers connected to the remote network are accessible only if the default gateway for the client is changed to the remote access server. To change the default gateway, see the IPv4 and IPv6 tabs on the Add/Edit VPN Entry and Add/Edit Dial-up Networking Entry wizard pages.
Define a routing table update | Specifies that the routing tables are updated during the connection process, as defined by the next two options.
Route file to include | Specifies a routing table update file that is compiled into the connection profile and installed on the client computers with the connection profile.
URL to a route file | Specifies that the routing table update file is hosted on a Web server at the specified URL. The file is downloaded automatically and applied whenever the profile successfully connects.
If this URL is unavailable, disconnect the client | If selected, specifies that the connection fails if the routing table update file cannot be downloaded.

For more information about how to construct the routing table update file, see Including Routing Table Updates (http://go.microsoft.com/fwlink/?LinkId=80963) on the Microsoft Web site.

Additional references


Configure Proxy Settings for Internet Explorer

Use this wizard page to specify information that determines how the client finds and uses proxy servers. A proxy server helps ensure that your user can access appropriate internal and external network resources when using this connection profile.

Setting | Description
Do not configure proxy settings | Specifies that the proxy settings on the client computer are not changed after connecting by using this connection profile.
Automatically copy the Internet Explorer proxy settings for the current user to the tunnel interface. | Specifies that if the client computer has Internet Explorer installed then the proxy settings already configured in Internet Explorer are the settings used for the connection to the remote network.
Automatically configure proxy settings | Specifies that the proxy settings in Proxy settings file are applied to the computer after the connection is successfully completed.
Proxy settings file | Specifies the file that contains the proxy configuration that is applied to the client computer.
Restore the users' previous proxy settings after disconnecting | If selected, the user's original settings are saved before the proxy settings file is applied. The settings are restored when the connection to the remote network is ended.

For more information about creating a proxy settings file, see Using Automatic Proxy Configuration (http://go.microsoft.com/fwlink/?LinkId=80964) on the Microsoft Web site.

Additional references


Add Custom Actions

Use this page to include custom actions in your connection profiles when users connect to your service. You can use these actions to enhance the connection experience for your users by providing additional programs that start automatically during the connection to your service. Custom actions can start automatically and use programs that users have already installed or that you include and install with your service profile.

Setting | Description
Action type | Filters the Custom actions list to include only actions of the selected type.
Custom actions | Dislays the list of custom actions that are currently defined in the connection profile. Some might already be present due to your selections in previous pages of the wizard. When the profile is used on the client computer, the actions are run in the order displayed. You can change the order by selecting an action and then pressing the up or down arrows next to the list.
New | Add a new custom action to the connection profile. See the New/Edit Custom Action section of this topic.
Edit | Edits an existing custom action. See the New/Edit Custom Action section of this topic.
Delete | Removes the selected custom action from the list.

New/Edit Custom Action dialog box

When you choose to add or edit a custom action, this dialog box allows you to configure the action.

Setting Description

Description

Specifies the name of this custom action.

Program to run

Specifies the command, executable program, dynamic-link library (DLL), or batch file to run to carry out this custom action. If the file is already present on the client computers, then specify the path where the file is located. You can use environment variables, such as %SystemRoot%.

Parameters

Specifies the required command-line options for the custom action. If the program is a DLL, then the first parameter is typically the name of the function in the DLL that is to be invoked.

Action type

Specifies when, during the connection process, the action is invoked. Options include:

  • Pre-init

  • Pre-connect

  • Pre-dial (for dial-up connections only)

  • Pre-tunnel (for VPN connections only)

  • Post-connect

  • Monitored

  • Disconnect

  • On cancel

  • On error

Run this custom action for

Specifies the condition under which the custom action is performed. Options include:

  • All connections

  • All connections that involve dial-up

  • All connections that involve a tunnel

  • Connections that use only a tunnel

  • Connections that use only dial-up

Include the custom action program with this service profile

If the executable program for this action is not part of the standard deployment for your client computers, then you can include the file in the profile to be installed when the user installs the connection profile. The file is installed in the folder that contains the connection profile.

Program interacts with the user

Specifies that Connection Manager will run the custom action only if it is in an interactive state. If this check box is not selected and Connection Manager is in a non-interactive state, then a program called by the custom action that attempts to interact with the user will halt the connection process indefinitely, waiting for a response from the user.

Require Elevation

Specifies that the custom action requires the use of administrative privileges to complete. If User Account Control is enabled, selecting this check box causes Connection Manager to prompt the user for permission to continue (if the user is a member of the Administrators group) or for administrator credentials (if the user is not a member of the Administrators group).

For more information about custom actions, the action types, and the variable replaceable parameters, see Incorporating Custom Actions (http://go.microsoft.com/fwlink/?LinkId=80965) on the Microsoft Web site.

Additional references


Display Custom Bitmaps and Icons

Connection Manager includes a default set of graphics and icons that are displayed when the user runs your connection profile. You can specify alternative graphics and icons on the Display a Custom Logon Bitmap, Display a Custom Phone Book Bitmap, and Display Custom Icons pages of the CMAK wizard.

For custom logon bitmaps and custom phone book bitmaps

Setting | Description
Default graphic | Specifies that Connection Manager displays the default bitmap for this connection profile.
Custom graphic | Specifies the path and file name to a bitmap that is used for this connection profile.

For custom icons

Setting | Description
Default icons | Specifies that Connection Manager displays the three default icons for this connection profile.
Custom icons | Specifies the path and file names to two differently-sized icons that are used for this connection profile.

For more information about how to create and configure custom graphics for your connection profile, see Incorporating Custom Graphics (http://go.microsoft.com/fwlink/?LinkId=80966) and Incorporating Custom Icons (http://go.microsoft.com/fwlink/?LinkId=142059) on the Microsoft Web site.

Additional references


Customize the Notification Area Shortcut Menu

On the Windows XP, Windows Server 2003, and Windows 2000 operating systems, an icon appears in the notification area of the taskbar when the user is connected to your service. A shortcut menu appears when the user right-clicks this notification area icon. This menu provides users with a shortcut to programs. The default commands on the menu are Status, Disconnect, and Open Network Connections. You can use the CMAK wizard to customize this shortcut menu by specifying which, if any, additional commands appear on the menu.

Note

This icon is available on Windows XP, Windows Server 2003, and Windows 2000 only. For this reason, this wizard page appears only when you create a profile that uses the Windows Server 2003, Windows XP, or Windows 2000 option on the Select the Target Operating System wizard page.

Setting | Description
New | Add a new shortcut menu item to the icon in the notification area of the taskbar.
Edit | Modify a shortcut menu item that you created previously.
Delete | Deletes the selected item from the menu.

When you create or edit a menu item, the New / Edit Shortcut Command dialog box appears. This dialog box allows you to customize the settings described in the following table.

Setting | Description
Command name | Specifies the text that appears on the shortcut menu when the user right-clicks the icon. Use the & before the character you want to be the hotkey for the menu option. For example, to display the text My Command, with the C underlined and acting as the hotkey, type the string My &Command. To include an ampersand as part of the text, use &&.
Program to run | Specifies the file to be run when the user selects this menu option. If the file is not in the user's %PATH% environment variable, then you must specify the complete path to the file so that Connection Manager can find the file when the user selects the menu option.
Parameters | Specifies any additional command-line parameters that must be passed to the program for this context.
Include the program with this service profile | If the executable file is not already present on the client computer, then you can include it in the connection profile. It will be installed to the same folder as the other connection profile files on the client computer.

For more information about modifying the shortcut menu, see Customizing the Notification Area Shortcut Menu (http://go.microsoft.com/fwlink/?LinkId=80958) on the Microsoft Web site.

Additional references


Include a Custom Help File

Use this page to provide a customized Connection Manager Help file for users who connect to your network.

The Help file you can include depends on the operating system selection you make on the Select the Target Operating System page of the CMAK wizard:

  • If you selected Windows 7 or Windows Vista, then you can include a .chm file in your connection profile. For more information about how to create a custom .chm file, see Providing Custom Connection Manager Help (.chm) (http://go.microsoft.com/fwlink/?LinkId=80959) on the Microsoft Web site.

  • If you selected Windows XP, Windows Server 2003, and Windows 2000, then you can include an .hlp file in your connection profile. For more information about how to create a custom .hlp file, see Providing Custom Windows Help (.hlp) (http://go.microsoft.com/fwlink/?LinkId=80970) on the Microsoft Web site.

Setting | Description
Default Help file | Specifies that the default Connection Manager Help included with Windows is displayed to users when they press F1 or click Help when running this connection profile.
Custom Help file | Specifies that a custom Help file is displayed to users when they press F1 or click Help when running this connection profile. Type the path and name of the custom file, or click Browse to select the file.

The following table summarizes which Help file is displayed to the user. “Newer” refers to Windows 7 or Windows Vista on the Select Target Operating System wizard page. “Older” refers to Windows XP, Windows Server 2003, or Windows 2000 on the Select Target Operating System wizard page.

Profile option selected | Operating system installed on | CMAK administrator includes | User sees this Help
Older | Older | Custom .hlp file | Custom .hlp file
Older | Older | No custom help | Default .hlp file on operating system
Newer | Newer | Custom .chm file | Custom .chm file
Newer | Newer | No custom help | Default .chm file on operating system
Older | Newer | - | Default .chm file on operating system
Newer | Older | - | Does not work (profile is not installed)

Additional references


Display Custom Support Information

Use this page to specify information to be displayed in the logon dialog box, directly above Connection status. This line of text usually gives users a number to call for support (for example, "Call 1-800-###-#### for customer service."). No default text exists for this option. If you do not specify a line of text, this area of the logon dialog box will be left blank.

Setting | Discription
Support information | Specifies a text string about 50 characters in length to display to users on the logon dialog box.

It is a good idea to repeat this contact information in your Readme file or other installation information you provide in case the logon dialog box is not displayed to the user.

If the contact information depends on the location from which the user is dialing, you might want your customized Help file to list all customer support numbers (to support remote users roaming outside of their home service area). In the line of text in the logon dialog box, you can then include a reference to the Help file. (For example, "For customer support phone numbers, click Help.") If you do this, add a link to the topic containing your support numbers. For more information about customizing Help, see Include a Custom Help File.

Additional references


Include Connection Manager Software with the Connection Profile

Users must have Connection Manager 1.4 installed on their computers to run a connection profile created for Connection Manager 1.4. If your users do not already have Connection Manager 1.4 installed, you must include the software in your service profile. Use this page to specify that this software is included in the service profile being built, so the software is installed when the user installs the service profile.

Note

This page appears only when you run CMAK on a 32-bit version of Windows when you select the Windows XP, Windows Server 2003, and Windows 2000 option on the Select Target Operating System wizard page. All later versions of Windows, and all supported 64-bit versions of Windows, already have Connection Manager 1.4.

Setting | Description
Install Connection Manager 1.4 with the Connection Manager Profile | When selected, specifies that version 1.4 of the Connection Manager software is included with the profile and is installed on the client computer if it has an older version of Connection Manager installed, or if Connection Manager is not currently installed.

If you include Connection Manager 1.4 in the service profile and a user already has an earlier version of Connection Manager installed, the software is upgraded automatically at installation. Connection Manager is not installed if the current or a newer version is already installed on the user's computer. For example, Connection Manager 1.4 is a component of the Windows Vista operating system, so it is not installed from this profile on computers running Windows Vista. However, the connection profile is installed, even if the Connection Manager software included in the profile is not required.

Additional references


Display a Custom License Agreement

Use this page to include your own license agreement with your connection profile. This license agreement appears when the user clicks OK to begin the initial installation of your connection profile. If the user accepts the license agreement, installation continues. If not, installation is cancelled.

Use a plain text editor such as Notepad to create your license agreement as a text (.txt) file. To avoid formatting problems, do not use hard returns (forced line breaks) at the end of lines to force line wrapping. Line-wrapping for the license agreement is done automatically when the license is displayed during the installation of the profile.

Setting | Description
File name | Specifies the name of a text file that is displayed to the users during the installation of the connection profile.

Additional references


Install Additional Files with the Connection Profile

Use this page to include additional files with your connection profile to help your users implement your service. All files that are required for your service that are not specified elsewhere in the CMAK wizard must be specified in the Install Additional Files with the Connection Profile page.

Setting | Description
Additional files | Displays the list of files currently selected to be installed with the connection profile on the client computer.
Add | Allows you to browse to and select an additional file you want to include in the connection profile.
Remove | Deletes the selected file from the list of files to be included with the connection profile.

For more information about including additional files with your connection profile, see Including Additional Files (http://go.microsoft.com/fwlink/?LinkId=80960) on the Microsoft Web site.

Additional references


Build the Connection Profile and its Installation Program

When you are ready for the CMAK wizard to build a connection profile, click Next. After the CMAK wizard builds the connection profile, a dialog box displays the path and file name in which the wizard saved the profile.

Caution

After you click Next on the Build the Connection Manager Profile and Its Installation Program page, the Back button is unavailable. To change the profile, you will have to run the CMAK wizard again.

Setting | Description
Advanced customization | Specifies that you want to manually configure advanced settings in the connection profile configuration files before compiling the profile into an installer file. For more information, see Make Advanced Customizations.

After you compile the connection profile, you can continue with manual advanced customization, including editing the .cms files and other service-profile files. Be sure to rerun the CMAK wizard after completing advanced customization to include the customized files in your connection profile installation program.

Additional references


Make Advanced Customizations

The CMAK wizard supports most of the customization features that administrators need to build a custom Connection Manager profile. However, you can customize additional features by editing the connection profile files, thereby changing the manner in which Connection Manager handles some functions.

Setting | Description
File name | Specifies the name of the file to modify. The choices in Section name change based on which file you select. You can modify the .cms or .cmp file associated with your connection profile.
Section name | Specifies the section name containing a setting you want to modify. The choices in Key name change based on the section name you select.
Key name | Specifies the individual setting you want to modify. When you select a key name, the current value assigned in the file is displayed in the Value text box.
Value | Specifies the value you want to assign to this configuration setting.
Apply | Changes the value assigned to the key name in the section and file identified.

For more information about the files, sections, key names, and values you can configure, see Advanced Customization (http://go.microsoft.com/fwlink/?LinkId=80967) on the Microsoft Web site.

Additional references


Your Connection Profile is Complete and Ready to Distribute

Your service profile has been compiled into an executable file that can be distributed to your users. Your next steps can include any combination of the following:

  • Sign your service profile executable.

  • Test your service profile.

  • Include Connection Manager in custom applications.

  • Deploy your service profile.

  • Troubleshoot your service profile.

For information about the steps required to distribute your connection profile, see Phase Four: Preparing for Integration, Delivery, and Installation (http://go.microsoft.com/fwlink/?LinkId=80961) on the Microsoft Web site.

For information about testing your profiles, see Phase Five: Testing Your Deliverables (http://go.microsoft.com/fwlink/?LinkId=142065) on the Microsoft Web site.

For information about troubleshooting your profiles, see Phase Six: Supporting Your Customers (http://go.microsoft.com/fwlink/?LinkId=142066) on the Microsoft Web site.

Additional references


Troubleshoot the Connection Profile Build Process

Occasionally the connection profile build process fails. Some of the common causes for build failures are:

  • The CMAK wizard cannot find one or more of the files you specified.

    It is good practice to always browse to and select the file rather than typing the path and name manually. Browsing and selecting builds the path and name automatically.

  • The CMAK wizard cannot create a folder or file required during the build process.

    The CMAK wizard runs in the security context of the currently logged on user. If the user does not have the permissions to create a file or folder, then the CMAK wizard cannot create it. The CMAK wizard creates its profiles in the %PROGRAMFILES%\CMAK\Profiles folder, under either Vista and above or Downlevel subfolder, based on your selection on the Select the Target Operating System page. If your user account does not have permissions to read or write to these folders, then the build fails.

For information about troubleshooting CMAK client and connection issues, see Phase Six: Supporting Your Customers (http://go.microsoft.com/fwlink/?LinkId=142066) on the Microsoft Web site.

Additional references


Distribute Your Connection Profile to Your Users

The CMAK wizard compiles the connection profile into a single executable file with an .exe file name extension. You can deliver this .exe file to your users through any method available to you. Some methods you can consider are:

  • Include the connection profile as part of the image included with new computers.

    You can install your connection profile as part of the client computer images installed on a new computer for your organization.

  • Place the connection profile on a Web site or network share that can be accessed by the users.

    A Web link makes the profile easily accessible to both internal and external remote access clients. A network share is typically accessible by internal clients only.

  • Deliver the connection profile on removable media for the user to install manually.

    You can deliver the connection profile installation program on a floppy disk, CD-ROM, USB flash drive, or any other removable media that you permit your users to access. Some removable media support autorun capabilities, which allow you to start the installation as soon as the media is inserted into the client computer.

  • Deliver the connection profile with automated software distribution tools.

    Many organizations use a desktop management and software deployment tool like Microsoft® System Center Configuration Manager, which allows you to package and deploy software required by your client computers. The installation can be performed without your users being aware of it; the success or failure of the installation can be reported to the management console.

Additional references

  • Additional Resources for CMAK


Additional Resources for CMAK

For more CMAK documentation, see Connection Manager Administration Kit (http://go.microsoft.com/fwlink/?linkid=55986) on the Microsoft Web site.

For information about technologies related to CMAK, see the following:

  • Connection Point Services (http://go.microsoft.com/fwlink/?LinkId=141964)

  • IPv6 (http://go.microsoft.com/fwlink/?LinkId=80971)

  • Domain Name System (http://go.microsoft.com/fwlink/?LinkId=141619)

  • Introduction to Code Signing (http://go.microsoft.com/fwlink/?LinkId=59273)

  • System Center Configuration Manager (http://go.microsoft.com/fwlink/?LinkId=80968)


Language Packs Do Not Match

Cause

This error occurs when the connection profile was created on computer running one language version of Windows, and you attempt to edit that profile on a computer running a different language version of Windows.

It can also occur if you create a connection profile, then install a language pack on the operating system, and then attempt to edit the connection profile.

Solution

Profiles you create with Connection Manager Administration Kit (CMAK) must be modified on a computer running the same language pack as the computer on which the profiles were created.

If you find it necessary to switch to a different language pack, then you must recreate the connection profile.